FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-27-2012, 10:32 AM
赵佳晖
 
Default Upgrade to Gnome3 from overlay

Hello,everyone , i just want to upgrade my Gnome 2.32.1 to Gnome 3 . So i follow the steps below:emerge layman*layman -f -a gnome
echo "source /var/lib/layman/make.conf" >> /etc/make.conf
echo "*" >> /etc/eix-sync.conf
eix-sync


mkdir /etc/portage/{package.use,package.accept_keywords,package.mask, package.unmask,profile}


ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.mask.gnome3 /etc/portage/profile/package.use.mask.gnome3





ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.gnome3 /etc/portage/package.use/package.use.gnome3


ln -sf /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3 /etc/portage/package.unmask/package.unmask.gnome3



ln -sf /var/lib/layman/gnome/status/portage-configs/package.kewords.gnome3 /etc/portage/package.accept_keywords/package.keywords.gnome3





emerge -aDuv world




Then it comes error ,





/etc/portage/profile/package.use.mask.gnome3

/etc/portage/package.unmask/package.unmask.gnome3

/etc/portage/package.use/package.use.gnome3

/etc/portage/package.accept_keywords/package.keywords.gnome3



Can anyone help me how to deal with that problem?--
好好**,天天向上!!!
 
Old 04-27-2012, 11:47 AM
张春江
 
Default Upgrade to Gnome3 from overlay

At 2012-04-27 18:32:43,"赵佳晖"*<jiahui.tar.gz@gmail.com> wrote:
>*Hello,everyone , i just want to upgrade my Gnome 2.32.1 to Gnome 3 .
>*So i follow the steps below:
>*emerge layman*layman -f -a gnomeecho "source /var/lib/layman/make.conf" >> /etc/make.conf
>*echo "*" >> /etc/eix-sync.conf
>*eix-sync

>*mkdir /etc/portage/{package.use,package.accept_keywords,package.mask, package.unmask,profile}
>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.mask.gnome3 /etc/portage/profile/package.use.mask.gnome3


>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.gnome3 /etc/portage/package.use/package.use.gnome3
>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3 /etc/portage/package.unmask/package.unmask.gnome3

>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.kewords.gnome3 /etc/portage/package.accept_keywords/package.keywords.gnome3


>*emerge -aDuv world

>*Then it comes error ,

>*/etc/portage/profile/package.use.mask.gnome3
>*/etc/portage/package.unmask/package.unmask.gnome3
>*/etc/portage/package.use/package.use.gnome3
>*/etc/portage/package.accept_keywords/package.keywords.gnome3
>*Can anyone help me how to deal with that problem?

It seems that some packages that gnome3 required are masked by gnome2.
You can emerge gnome3 simply by add a "~" in your USE statement in
/etc/make.conf, as*http://wiki.gentoo.org/wiki/GNOME told.

BTW: you can send your email as plain text instead of html or other format.

Regards
 
Old 04-28-2012, 01:12 PM
赵佳晖
 
Default Upgrade to Gnome3 from overlay

Hello,everyone , i just want to upgrade my Gnome 2.32.1 to Gnome 3 . So i follow the steps below:emerge layman*layman -f -a gnome

echo "source /var/lib/layman/make.conf" >> /etc/make.conf

echo "*" >> /etc/eix-sync.conf

eix-sync




mkdir /etc/portage/{package.use,package.accept_keywords,package.mask, package.unmask,profile}



ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.mask.gnome3 /etc/portage/profile/package.use.mask.gnome3










ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.gnome3 /etc/portage/package.use/package.use.gnome3


ln -sf /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3 /etc/portage/package.unmask/package.unmask.gnome3





ln -sf /var/lib/layman/gnome/status/portage-configs/package.kewords.gnome3 /etc/portage/package.accept_keywords/package.keywords.gnome3








emerge -aDuv world

the error message is:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] net-misc/mobile-broadband-provider-info-20110511 69 kB
[ebuild N ] dev-libs/libical-0.48 USE="-examples" 1,147 kB
[ebuild N ~] media-gfx/shared-color-profiles-0.1.5 18,213 kB
[ebuild N ] dev-libs/icu-4.8.1.1-r1 USE="-debug -doc -examples -static-libs" 18,239 kB
[ebuild N ] app-crypt/p11-kit-0.12 USE="-debug" 522 kB
[ebuild N ] dev-libs/libnl-1.1-r2 USE="-doc" 0 kB
[ebuild N ] media-libs/libdiscid-0.2.2 USE="-static-libs" 340 kB
[ebuild U ~] x11-libs/gnome-pty-helper-0.32.0 [0.28.1] USE="hardened%*" 952 kB
[ebuild N ] app-text/docbook-dsssl-stylesheets-1.79 272 kB
[ebuild N ] app-admin/apg-2.3.0b-r5 USE="cracklib" 108 kB
[ebuild N ] media-libs/libv4l-0.8.5 366 kB
[ebuild N ] app-text/docbook-sgml-dtd-3.0-r3 43 kB
[ebuild N ] dev-libs/libksba-1.2.0 USE="-static-libs" 575 kB
[ebuild N ] dev-libs/libassuan-2.0.1 USE="-static-libs" 483 kB
[ebuild NS ] media-libs/lcms-2.3 [1.19] USE="jpeg tiff zlib -doc -static-libs -test" 4,358 kB
[ebuild N ~] dev-libs/libnl-3.2.7 USE="-static-libs -utils" 1,099 kB
[ebuild N ] sys-apps/paxctl-0.7-r1 8 kB
[ebuild N ] dev-libs/pth-2.0.7-r3 USE="-debug -static-libs" 638 kB
[ebuild U ~] dev-lang/orc-0.4.16 [0.4.11] USE="-examples -static-libs" 653 kB
[ebuild N ] sys-libs/libcap-ng-0.6.6 USE="-python -static-libs" 359 kB
[ebuild N ~] dev-libs/gobject-introspection-common-1.32.1 1,095 kB
[ebuild N ] dev-libs/elfutils-0.149 USE="bzip2 nls zlib -lzma" 1,780 kB
[ebuild N ] dev-lang/yasm-1.2.0 USE="nls -python" 1,403 kB
[ebuild N ] app-text/opensp-1.5.2-r2 USE="nls -doc -static-libs -test" 1,486 kB
[ebuild N ] media-video/gnome-video-effects-0.3.0 175 kB
[ebuild N ] media-libs/libvpx-1.0.0 USE="threads (-altivec) -debug -doc -mmx -postproc -sse -sse2 -sse3 -sse4_1 -ssse3 -static-libs" 1,603 kB
[ebuild N ] app-text/openjade-1.3.2-r3 USE="-static-libs" 874 kB
[ebuild N ] x11-apps/mesa-progs-8.0.1 9,766 kB
[ebuild U ~] dev-libs/glib-2.32.1 [2.30.2] USE="fam -debug -doc (-selinux) -static-libs* -systemtap -test -utils -xattr" 5,995 kB
[ebuild N ~] net-libs/liboauth-0.9.6 USE="nss -bindist -curl -doc" 481 kB
[ebuild N ] x11-apps/xhost-1.0.4 USE="ipv6" 113 kB
[ebuild N ] media-libs/libtheora-1.1.1 USE="encode -doc -examples -static-libs" 1,859 kB
[ebuild N ] x11-apps/xrandr-1.3.5 150 kB
[ebuild N ] net-wireless/wpa_supplicant-0.7.3-r5 USE="dbus readline ssl -debug -eap-sim -fasteap -gnutls -madwifi (-ps3) -qt4 (-selinux) -wimax -wps" 0 kB
[ebuild N ~] media-fonts/cantarell-0.0.8 USE="X" 240 kB
[ebuild UD ] dev-lang/python-2.7.2-r3 [2.7.3] USE="gdbm ipv6 ncurses readline ssl threads (wide-unicode) xml -berkdb -build -doc -examples -sqlite -tk -wininst" 0 kB
[ebuild N ~] dev-util/gdbus-codegen-2.32.1 0 kB
[ebuild N ~] dev-lang/spidermonkey-1.8.5-r1 USE="-debug -static-libs -test" 6,021 kB
[ebuild N ~] dev-util/itstool-1.1.2 78 kB
[ebuild NS ] app-text/docbook-xml-dtd-4.3-r1 [4.1.2-r6, 4.4-r2] 82 kB
[ebuild N ] net-libs/neon-0.29.6 USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -pkcs11 -static-libs" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN" 862 kB
[ebuild U ~] dev-libs/gobject-introspection-1.32.1 [1.30.0-r2] USE="-doc -doctool% -test" 0 kB
[blocks b ] <dev-libs/gobject-introspection-1.32.0 ("<dev-libs/gobject-introspection-1.32.0" is blocking dev-libs/gobject-introspection-common-1.32.1)
[ebuild U ~] app-text/gnome-doc-utils-0.20.10 [0.20.6] 515 kB
[ebuild N ~] dev-lang/vala-0.14.2-r1 USE="vapigen -test" 2,579 kB
[ebuild N ~] gnome-extra/yelp-xsl-3.2.1 544 kB
[ebuild U ~] x11-libs/pango-1.30.0 [1.29.4] USE="X introspection -debug -doc -test" 1,132 kB
[ebuild U ~] x11-libs/gdk-pixbuf-2.26.1 [2.24.1-r1] USE="X introspection jpeg tiff -debug -doc -jpeg2k -test" 1,141 kB
[ebuild U ~] dev-libs/atk-2.4.0 [2.2.0] USE="introspection nls -doc" 593 kB
[ebuild U ~] gnome-base/gsettings-desktop-schemas-3.4.0::gnome [3.2.0-r1::gentoo] USE="introspection%*" 187 kB
[ebuild U ~] x11-libs/libxklavier-5.2.1 [5.1] USE="introspection%* -doc" 306 kB
[ebuild N ] dev-libs/json-glib-0.14.2 USE="introspection -debug -doc" 435 kB
[ebuild N ~] net-libs/telepathy-glib-0.18.1 USE="introspection vala -debug -test" 3,455 kB
[ebuild N ] dev-libs/libgee-0.6.3 USE="introspection" 420 kB
[ebuild N ~] dev-libs/gjs-1.32.0 USE="-examples -test" 454 kB
[ebuild N ~] dev-util/gtk-doc-1.18-r1 USE="-debug -doc -emacs -highlight -test -vim" 0 kB
[ebuild N ~] app-accessibility/at-spi2-core-2.2.3 USE="introspection -doc" 420 kB
[ebuild N ~] app-text/yelp-tools-3.2.1 190 kB
[ebuild N ] media-libs/musicbrainz-3.0.3 USE="-test" 104 kB
[ebuild N #] media-libs/cogl-1.10.2 USE="introspection pango -debug -doc -examples -test" 1,181 kB
[ebuild N ~] net-im/telepathy-logger-0.4.0::gnome USE="introspection -doc -test" 512 kB
[ebuild N ] dev-libs/libgusb-0.1.2 USE="-static-libs" 251 kB
[ebuild U ~] net-libs/glib-networking-2.32.1 [2.30.1-r1] USE="gnome libproxy ssl -smartcard% -test%" 321 kB
[ebuild U ~] net-libs/libsoup-2.38.1 [2.36.1] USE="introspection ssl -debug -doc -samba -test" 607 kB
[ebuild N ~] x11-themes/gnome-icon-theme-symbolic-3.4.0 178 kB
[ebuild N ] media-plugins/gst-plugins-jpeg-0.10.30 0 kB
[ebuild N ] media-plugins/gst-plugins-theora-0.10.35 0 kB
[ebuild N ] media-plugins/gst-plugins-pango-0.10.35 0 kB
[ebuild N ] media-plugins/gst-plugins-v4l2-0.10.30 0 kB
[ebuild N ] media-plugins/gst-plugins-vp8-0.10.22 0 kB
[ebuild N ~] sys-apps/accountsservice-0.6.15 USE="introspection -doc" 280 kB
[ebuild N ~] x11-misc/colord-0.1.18 USE="gusb introspection udev -doc -examples -scanner -vala" 465 kB
[ebuild N ~] net-im/telepathy-mission-control-5.12.0 USE="upower -gnome-keyring -networkmanager" 991 kB
[ebuild U ~] net-print/cups-1.5.2-r3 [1.4.8-r1] USE="X acl dbus filters jpeg ldap pam png ssl threads tiff usb%* -avahi% -debug -gnutls -java -kerberos -perl -python -slp -static-libs -systemd% -xinetd (-php%)" LINGUAS="-da -de -es -eu -fi -fr -id -it -ja -ko -nl -no -pl -pt -pt_BR -ru -sv -zh -zh_TW" 9,407 kB
[ebuild U ~] x11-libs/gtk+-2.24.10-r1 [2.24.8-r1] USE="cups introspection (-aqua) -debug -doc -examples -test -vim-syntax -xinerama" 12,951 kB
[ebuild N ~] net-print/cups-pk-helper-0.2.2 209 kB
[ebuild U ~] x11-libs/gtk+-3.4.1 [3.2.3] USE="X%* cups introspection (-aqua) -colord -debug -doc -examples (-packagekit) -test -vim-syntax (-wayland) -xinerama" 12,510 kB
[ebuild U ~] gnome-base/librsvg-2.36.1 [2.34.2] USE="gtk introspection -doc -tools (-gtk3%)" 495 kB
[ebuild N ~] dev-util/gtk-builder-convert-2.24.10 0 kB
[ebuild N ] app-crypt/pinentry-0.8.0 USE="gtk ncurses -caps -qt4 -static" 477 kB
[ebuild U ~] x11-libs/vte-0.28.2-r203 [0.28.2-r202] USE="introspection -debug -doc -glade -python" 0 kB
[ebuild U ~] x11-libs/libwnck-2.31.0 [2.30.7] USE="introspection startup-notification -doc" 617 kB
[ebuild U ~] gnome-base/gconf-3.2.5 [2.32.4] USE="introspection ldap policykit -debug -doc -orbit%" 1,490 kB
[ebuild N #] media-libs/clutter-1.10.2 USE="gtk introspection -debug -doc -test" 4,692 kB
[ebuild NS ~] gnome-base/gnome-desktop-3.4.0::gnome [2.32.1::gentoo] USE="introspection -debug -doc" 929 kB
[ebuild U ~] gnome-base/dconf-0.12.0 [0.10.0] USE="X -doc (-vala%)" 197 kB
[ebuild N ~] net-misc/networkmanager-0.9.4.0-r2 USE="bluetooth dhcpcd introspection nss ppp -avahi -connection-sharing -dhclient -doc -gnutls -modemmanager -resolvconf -systemd -wext -wimax" 1,842 kB
[ebuild U ~] gnome-base/libgnomekbd-3.2.0-r1 [2.32.0-r1] USE="introspection%* -test" 368 kB
[ebuild U ~] x11-themes/gnome-themes-standard-3.4.1 [3.2.1] 3,014 kB
[ebuild N ] app-mobilephone/obexd-0.45 USE="usb -eds -nokia -server" 317 kB
[ebuild N ] app-crypt/gnupg-2.0.17 USE="bzip2 ldap nls -adns -caps -doc -openct -pcsc-lite (-selinux) -smartcard -static" 3,904 kB
[ebuild NS ~] x11-libs/vte-0.32.1 [0.28.2-r202] USE="introspection -debug -doc -glade" 952 kB
[ebuild NS ~] x11-libs/gtksourceview-3.4.1 [2.10.5-r1] USE="introspection -doc -glade -test" 1,182 kB
[ebuild N ] app-text/libspectre-0.2.6 USE="-debug -doc -static-libs" 350 kB
[ebuild NS ~] x11-libs/libwnck-3.4.0::gnome [2.30.7::gentoo] USE="introspection startup-notification -doc" 638 kB
[ebuild N #] media-libs/clutter-gtk-1.2.0 USE="introspection -debug -doc -examples" 300 kB
[ebuild N #] media-libs/clutter-gst-1.5.4 USE="introspection -debug -doc -examples" 342 kB
[ebuild N ~] x11-libs/mx-1.4.2 USE="dbus gtk introspection startup-notification -debug -doc -glade" 1,109 kB
[ebuild N ] app-misc/geoclue-0.12.0_p20110307 USE="gtk -geonames -gps -gsmloc -hostip -manual -networkmanager -nominatim -plazes -skyhook -yahoo-geo" 997 kB
[ebuild N ~] app-text/evince-3.4.0::gnome USE="dbus introspection tiff -debug -djvu -doc -dvi -gnome-keyring -nautilus -t1lib -xps" 6,019 kB
[ebuild U ~] x11-terms/gnome-terminal-3.4.1.1 [2.32.1] 1,969 kB
[ebuild N ~] net-libs/webkit-gtk-1.8.0-r300 USE="geoloc gstreamer introspection jit spell webgl (-aqua) -coverage -debug -doc -test -webkit2" 7,811 kB
[ebuild N ~] media-video/cheese-3.4.0::gnome USE="introspection -debug -doc -sendto -test" 3,616 kB
[ebuild U ~] gnome-extra/yelp-3.2.1 [2.30.2-r6] USE="-debug" 836 kB
[ebuild U ~] dev-python/pygobject-3.2.0 [3.0.2] USE="cairo threads -examples -test" 549 kB
[ebuild U ~] dev-python/pygobject-2.28.6-r52 [2.28.6-r51] USE="introspection -doc -examples -libffi -test" 0 kB
[ebuild N ~] dev-python/pyatspi-2.2.1 USE="-test" 260 kB
[ebuild N ~] app-accessibility/caribou-0.4.1-r1 353 kB
[ebuild U ~] gnome-base/gnome-desktop-2.32.1-r1 [2.32.1] USE="-debug -doc" 0 kB
[ebuild U ~] x11-libs/libnotify-0.7.5 [0.7.4] USE="introspection (symlink%*) -doc -test" 270 kB
[ebuild U ~] gnome-base/gnome-settings-daemon-3.4.0::gnome [2.32.1-r2::gentoo] USE="colord%* cups%* policykit short-touchpad-timeout%* udev%* -debug (-packagekit) -smartcard -systemd% -test% -wacom% (-libnotify%*) (-pulseaudio%*)" 1,436 kB
[ebuild U ~] gnome-extra/zenity-3.2.0 [2.32.1] USE="libnotify webkit%* -debug (-compat%*)" 3,080 kB
[ebuild U ~] gnome-base/gnome-session-3.4.0::gnome [2.32.1-r3::gentoo] USE="ipv6 -debug -doc -systemd%" 693 kB
[ebuild U ~] x11-wm/metacity-2.34.3::gnome [2.30.3::gentoo] USE="-test -xinerama" 1,630 kB
[ebuild N ~] x11-wm/mutter-3.4.1::gnome USE="introspection -debug -test -xinerama" 1,561 kB
[ebuild N ~] net-wireless/gnome-bluetooth-3.4.0::gnome USE="introspection -debug -doc -sendto" 1,106 kB
[ebuild U ~] gnome-base/nautilus-3.4.0::gnome [2.32.2.1-r1::gentoo] USE="exif%* gnome introspection* previewer%* -doc (-packagekit) -sendto% -test -tracker% -xmp" 4,452 kB
[ebuild N ~] gnome-extra/sushi-0.4.0::gnome 292 kB
[ebuild NS ~] gnome-base/gnome-menus-3.2.0.1-r1 [2.30.5] USE="introspection python -debug -test" 393 kB
[uninstall ] gnome-base/gnome-menus-2.30.5 USE="-debug (-introspection) -python"
[blocks b ] <gnome-base/gnome-menus-3.0.1-r1:0 ("<gnome-base/gnome-menus-3.0.1-r1:0" is blocking gnome-base/gnome-menus-3.2.0.1-r1)
[ebuild N ~] app-crypt/gcr-3.4.1::gnome USE="introspection -debug -doc -test" 1,304 kB
[ebuild U *] gnome-base/gnome-keyring-9999::gnome [2.32.1-r1::gentoo] USE="caps%* pam -debug -doc (-selinux) -test" 0 kB
[blocks b ] <gnome-base/gnome-keyring-3.3 ("<gnome-base/gnome-keyring-3.3" is blocking app-crypt/gcr-3.4.1)
[ebuild U ~] gnome-base/libgnome-keyring-3.4.1::gnome [2.32.0::gentoo] USE="introspection%* -debug -doc -test" 408 kB
[ebuild N ~] gnome-extra/nm-applet-0.9.4.1 USE="bluetooth" 1,078 kB
[ebuild U ~] net-libs/libsoup-gnome-2.38.1 [2.36.1] USE="introspection -debug -doc" 0 kB
[ebuild N ] net-libs/rest-0.7.12 USE="gnome introspection -doc -test" 293 kB
[ebuild N ~] net-libs/libsocialweb-0.25.20 USE="gnome introspection networkmanager -connman -doc -vala" 461 kB
[ebuild U ~] dev-libs/libgweather-3.2.1 [2.30.3] USE="introspection%* -doc (-python%)" 4,167 kB
[ebuild N ~] dev-libs/libgdata-0.12.0::gnome USE="gnome introspection -debug -doc -static-libs" 1,130 kB
[ebuild U ~] gnome-base/gnome-panel-3.2.1 [2.32.1-r3] USE="introspection -doc -eds -networkmanager (-bonobo%*)" 2,368 kB
[ebuild N ~] net-libs/gnome-online-accounts-3.4.1::gnome USE="gnome introspection -debug -doc" 481 kB
[ebuild N ~] gnome-extra/evolution-data-server-3.4.1::gnome USE="gnome-online-accounts introspection ipv6 ldap weather -doc -kerberos -test -vala" 3,787 kB
[ebuild N ~] dev-libs/folks-0.6.8::gnome USE="eds -debug -socialweb -test -tracker -utils -vala" 1,388 kB
[ebuild U ~] gnome-base/gnome-control-center-3.4.0::gnome [2.32.1-r1::gentoo] USE="bluetooth%* cheese%* colord%* cups%* networkmanager%* socialweb%* -debug -wacom% (-eds%)" 4,204 kB
[ebuild N ~] gnome-base/gnome-shell-3.4.1::gnome USE="bluetooth networkmanager" 1,226 kB
[ebuild U ~] gnome-base/gdm-3.4.0.1::gnome [2.20.11-r1::gentoo] USE="consolekit fallback%* gnome-shell%* introspection%* ipv6 tcpd xklavier%* -accessibility -debug% -fprint% -gnome-keyring (-selinux) -smartcard% -test% -xinerama (-afs%) (-branding%*) (-dmx%) (-pam%*) (-remote%)" 1,569 kB
[blocks b ] <gnome-base/gdm-2.91.94 ("<gnome-base/gdm-2.91.94" is blocking gnome-base/gnome-control-center-3.4.0)
[ebuild N ~] gnome-base/libgdu-3.0.2 USE="-avahi -doc -gnome-keyring" 0 kB
[uninstall ] sys-apps/gnome-disk-utility-3.0.2-r200 USE="-avahi -doc -fat -gnome-keyring -nautilus -remote-access"
[blocks b ] <=sys-apps/gnome-disk-utility-3.0.2-r200 ("<=sys-apps/gnome-disk-utility-3.0.2-r200" is blocking gnome-base/libgdu-3.0.2)
[ebuild U ~] gnome-base/gvfs-1.12.1 [1.10.1] USE="bluetooth cdda gdu http udev -afp -archive -avahi -bluray -doc -fuse -gnome-keyring -gphoto2 -ios -samba -udisks%" 1,328 kB
[blocks B ] <x11-base/xorg-server-1.11.4 ("<x11-base/xorg-server-1.11.4" is blocking x11-libs/gtk+-3.4.1)

Total: 136 packages (41 upgrades, 1 downgrade, 87 new, 7 in new slots, 2 uninstalls), Size of downloads: 220,517 kB
Conflict: 6 blocks (1 unsatisfied)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(x11-libs/gtk+-3.4.1::gentoo, ebuild scheduled for merge) pulled in by
>=x11-libs/gtk+-2.99.4:3[introspection] required by (media-video/cheese-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0:3 required by (app-crypt/gcr-3.4.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-2.91.3:3[introspection] required by (net-wireless/gnome-bluetooth-3.4.0::gnome, ebuild scheduled for merge)
x11-libs/gtk+:3 required by (media-libs/libcanberra-0.28-r5::gentoo, installed)
>=x11-libs/gtk+-3.3.6:3[introspection] required by (gnome-base/gnome-desktop-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0.2:3[introspection] required by (app-text/evince-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0:3[-aqua,introspection] required by (net-libs/webkit-gtk-1.8.0-r300::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.2:3 required by (gnome-extra/evolution-data-server-3.4.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.9:3[introspection] required by (gnome-base/gnome-shell-3.4.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0:3[introspection] required by (x11-libs/gtksourceview-3.4.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.5:3 required by (gnome-base/gnome-control-center-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-2.90:3 required by (gnome-base/gconf-3.2.5::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.91.7:3[introspection] required by (gnome-base/libgnomekbd-3.2.0-r1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.91.1:3 required by (gnome-base/gdm-3.4.0.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.2.0:3[introspection] required by (media-libs/clutter-gtk-1.2.0::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.90.7:3 required by (gnome-base/gnome-session-3.4.0::gnome, ebuild scheduled for merge)
x11-libs/gtk+:3[introspection] required by (gnome-base/gnome-menus-3.2.0.1-r1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.90.0:3[introspection] required by (dev-libs/libgweather-3.2.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.91.4:3 required by (gnome-extra/nm-applet-0.9.4.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.18:3 required by (media-libs/clutter-1.10.2::gentoo, ebuild scheduled for merge)
x11-libs/gtk+:3 required by (gnome-extra/polkit-gnome-0.105::gentoo, installed)
>=x11-libs/gtk+-3.0:3[introspection] required by (x11-libs/libwnck-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.17:3[introspection] required by (gnome-base/nautilus-3.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.17:3[X] required by (x11-terms/gnome-terminal-3.4.1.1::gentoo, ebuild scheduled for merge)
x11-libs/gtk+:3 required by (gnome-base/dconf-0.12.0::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0.0:3[introspection] required by (app-accessibility/caribou-0.4.1-r1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0:3 required by (gnome-base/gnome-keyring-9999::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.7:3[introspection] required by (x11-wm/mutter-3.4.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0.0:3[introspection] required by (gnome-extra/sushi-0.4.0::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-2.90.7:3 required by (gnome-base/libgdu-3.0.2::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.1.9:3[introspection] required by (x11-libs/vte-0.32.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0.0:3 required by (net-libs/gnome-online-accounts-3.4.1::gnome, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.14:3 required by (x11-themes/gnome-themes-standard-3.4.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0:3[introspection] required by (gnome-base/gnome-panel-3.2.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-2.91.8:3 required by (gnome-extra/yelp-3.2.1::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.0.0:3 required by (gnome-extra/zenity-3.2.0::gentoo, ebuild scheduled for merge)
>=x11-libs/gtk+-3.3.4:3 required by (gnome-base/gnome-settings-daemon-3.4.0::gnome, ebuild scheduled for merge)

(x11-base/xorg-server-1.11.2-r2::gentoo, installed) pulled in by
x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-evdev-2.6.0::gentoo, installed)
<x11-base/xorg-server-1.12.99 required by (x11-drivers/nvidia-drivers-295.40::gentoo, installed)
>=x11-base/xorg-server-1.6.3 required by (x11-drivers/xf86-input-evdev-2.6.0::gentoo, installed)
x11-base/xorg-server required by (media-video/nvidia-settings-260.19.29::gentoo, installed)
x11-base/xorg-server required by @selected
x11-base/xorg-server required by (gnome-base/gdm-3.4.0.1::gnome, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



Can anyone help me? I just have no idea~~
2012/4/27 *春江 <zhangchunjiangrj@126.com>

At 2012-04-27 18:32:43,"赵佳晖"*<jiahui.tar.gz@gmail.com> wrote:


>*Hello,everyone , i just want to upgrade my Gnome 2.32.1 to Gnome 3 .

>*So i follow the steps below:

>*emerge layman*layman -f -a gnomeecho "source /var/lib/layman/make.conf" >> /etc/make.conf

>*echo "*" >> /etc/eix-sync.conf

>*eix-sync



>*mkdir * /etc/portage/{package.use,package.accept_keywords,package.mask, package.unmask,profile}

>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.mask.gnome3 /etc/portage/profile/package.use.mask.gnome3





>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.use.gnome3 /etc/portage/package.use/package.use.gnome3

>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3 /etc/portage/package.unmask/package.unmask.gnome3



>*ln -sf /var/lib/layman/gnome/status/portage-configs/package.kewords.gnome3 /etc/portage/package.accept_keywords/package.keywords.gnome3





>*emerge -aDuv world



>*Then it comes error ,



>*/etc/portage/profile/package.use.mask.gnome3

>*/etc/portage/package.unmask/package.unmask.gnome3

>*/etc/portage/package.use/package.use.gnome3

>*/etc/portage/package.accept_keywords/package.keywords.gnome3

>*Can anyone help me how to deal with that problem?



It seems that some packages that gnome3 required are masked by gnome2.

You can emerge gnome3 simply by add a "~" in your USE statement in

/etc/make.conf, as*http://wiki.gentoo.org/wiki/GNOME told.



BTW: you can send your email as plain text instead of html or other format.



Regards





--
好好**,天天向上!!!
 
Old 04-28-2012, 07:35 PM
walt
 
Default Upgrade to Gnome3 from overlay

On 04/28/2012 06:12 AM, 赵佳晖 wrote:
> [blocks b ] <=sys-apps/gnome-disk-utility-3.0.2-r200 ("<=sys-apps/gnome-disk-utility-3.0.2-r200" is blocking gnome-base/libgdu-3.0.2)
^
Aside: notice the small 'b' in that blocks message. That says portage is smart enough
to fix the problem without your help. Ignore that one.

> [ebuild U ~] gnome-base/gvfs-1.12.1 [1.10.1] USE="bluetooth cdda gdu http udev -afp -archive -avahi -bluray -doc -fuse -gnome-keyring -gphoto2 -ios -samba -udisks%" 1,328 kB
> [blocks B ] <x11-base/xorg-server-1.11.4 ("<x11-base/xorg-server-1.11.4" is blocking x11-libs/gtk+-3.4.1)
^
The big 'B' means that you must make a decision that portage can't make for you.

> * Error: The above package list contains packages which cannot be
> * installed at the same time on the same system.

> (x11-base/xorg-server-1.11.2-r2::gentoo, installed) pulled in by
^^^^^^^ ^^^^^^^^^^^^
This is an old version of xorg-server, and that is the problem you need
to solve. The 'pulled in by' is telling you the source of the problem:

> x11-base/xorg-server[xorg] required by (x11-drivers/xf86-input-evdev-2.6.0::gentoo, installed)

So, the old version of input-evdev is the package that insists on keeping
the old version of xorg-server. In this example the decision to delete
the old evdev is an easy one. In some cases the decision may not be so easy:

emerge -C xf86-input-evdev (this will remove evdev from your 'world' file.

The newer version of evdev should be pulled in with the new xorg-server.

#equery d xf86-input-evdev
* These packages depend on xf86-input-evdev:
x11-base/xorg-drivers-1.12 (input_devices_evdev ? x11-drivers/xf86-input-evdev)

This means that evdev will be pulled in by xorg-drivers, but only if
you have evdev listed as one of your input devices in make.conf.

#grep -i input /etc/make.conf
INPUT_DEVICES="evdev"
 

Thread Tools




All times are GMT. The time now is 07:48 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org